Bug 1103678 - updater applet not checking connection status
updater applet not checking connection status
Status: IN_PROGRESS
: 1073610 1124684 (view as bug list)
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: KDE Workspace (Plasma)
Leap 15.0
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Antonio Larrosa
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-03 08:47 UTC by Ludwig Nussel
Modified: 2022-07-04 01:55 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ludwig Nussel 2018-08-03 08:47:16 UTC
all my WiFi connections have auto connect disabled. So when the system boots it has no internet connection. Yet immediately the updater applet complains about errors refreshing repos. It should only try to refresh repos if NM says the system is connected.

I'd also recommend to disable the passive popup for the error and just change the icon.
Comment 1 Antonio Larrosa 2019-03-18 17:47:44 UTC
This was more complex than expected...

The fix for this is composed of several fixes in different packages:

* glib2

glib2 was handling an UNKNOWN connectivity state from NetworkManager as if there was a connection thus giving false positives which was making PackageKit think the network was online and it was trying to refresh the cache (and showing the network failures to the user). I submitted the fix for this to upstream at https://gitlab.gnome.org/GNOME/glib/merge_requests/719 and was already approved.

* NetworkManager

The latest NetworkManager reports a LIMITED global connectivity in a laptop that doesn't have any network active. I reported this at
https://gitlab.freedesktop.org/NetworkManager/NetworkManager/issues/138 with a proposal for an idea of a fix. It's currently being discussed there.

* PackageKit-Qt

When PackageKit is configured with a ShutdownTimeout value (in /etc/PackageKit/PackageKit.conf), PackageKit is stopped after that time passes, and so, it cannot notify PackageKit-Qt when the network changes its state between being offline/online (because PackageKit, for some reason has a dbus signal to notify of network state changes). As a result, PackageKit-Qt never notifies the plasma applet that the network state has changed, and so, the applet cannot react to that. I submitted the fix for this at https://github.com/hughsie/PackageKit-Qt/pull/30 by making PackageKit-Qt connect to the NetworkManager dbus signal and react to that.

* plasma5-pk-update

The plasma applet needs some cosmetic changes so messages are changed appropriately reacting to network changes and some widgets are hidden when the network is offline. Also, when the applet is started, a check for updates is currently done. I changed this so that if the network is offline, all checks for updates are delayed until the network is online. This prevents network failure notifications to be shown to the user unnecessarily.

I submitted these fixes upstream at https://phabricator.kde.org/D19862 .
Comment 2 Antonio Larrosa 2019-03-18 18:25:50 UTC
The glib2 fix is now submitted to 

- SLE15 in https://build.suse.de/request/show/187399
- Factory in https://build.opensuse.org/request/show/686203
Comment 3 Antonio Larrosa 2019-03-20 17:26:29 UTC
Just for the record, I submitted a merge request for the NetworkManager issue at https://gitlab.freedesktop.org/NetworkManager/NetworkManager/merge_requests/99
Comment 4 Antonio Larrosa 2019-03-21 10:46:19 UTC
I submitted another approach (smaller and much cleaner) to fix the NetworkManager issue at https://gitlab.freedesktop.org/NetworkManager/NetworkManager/merge_requests/100

Also, during the last days I noticed another issue in NetworkManager . Unplugging  the usb device that provides the network connection doesn't update the Connectivity property, so NetworkManager keeps reporting the network as FULL connectivity when it's actually NONE. I submitted a fix for this at https://gitlab.freedesktop.org/NetworkManager/NetworkManager/merge_requests/101 .
Comment 5 Antonio Larrosa 2019-03-21 13:10:14 UTC
The NetworkManager fixes are now submitted to:

GNOME:Factory in https://build.opensuse.org/request/show/687318
Devel:Desktop:SLE-15-SP1 in https://build.suse.de/request/show/187677
Comment 6 Antonio Larrosa 2019-03-21 13:18:21 UTC
The PackageKit-Qt fixes are submitted to:

openSUSE:Leap:15.0:Update in https://build.opensuse.org/request/show/687323
GNOME:Factory in https://build.opensuse.org/request/show/687324
openSUSE:Leap:15.1 in https://build.opensuse.org/request/show/687325 (together with a version update to 1.0.1 from Factory)
Comment 7 Antonio Larrosa 2019-03-21 16:49:07 UTC
The glib2 and NetworkManager fixes are already in SLE-workaround and have been  submitted to Leap 15.1 at:
glib -> https://build.opensuse.org/request/show/687410
NetworkManager -> https://build.opensuse.org/request/show/687411

Also, the plasma5-pk-updates fixes have already been approved by upstream so I submitted them to:
Factory in https://build.opensuse.org/request/show/687415
Leap 15.1 in https://build.opensuse.org/request/show/687416
Comment 8 Frank Krüger 2019-03-21 20:44:19 UTC
*** Bug 1073610 has been marked as a duplicate of this bug. ***
Comment 9 Swamp Workflow Management 2019-03-22 09:41:01 UTC
This is an autogenerated message for OBS integration:
This bug (1103678) was mentioned in
https://build.opensuse.org/request/show/687550 15.1 / NetworkManager
Comment 12 Frank Krüger 2019-04-03 09:23:55 UTC
Given the updates provided by Leap 15.1 Build 441.4 I have noticed that the KDE update applet is checking for updates after every logout/login on the same day (checking on a daily basis is enabled). Is this a feature or a bug?
Comment 13 Antonio Larrosa 2019-04-03 15:46:02 UTC
Indeed, it's a bug that I skipped in the previous run.

I just submitted sr#691282 that should fix it. I also submitted it to upstream at https://phabricator.kde.org/D20231 .

Thanks for noticing!
Comment 14 Wolfgang Bauer 2019-04-03 17:55:20 UTC
*** Bug 1124684 has been marked as a duplicate of this bug. ***
Comment 15 Swamp Workflow Management 2019-04-04 22:25:28 UTC
openSUSE-RU-2019:1151-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1103678
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    PackageKit-Qt-0.9.6-lp150.3.3.1

*** NOTE: This information is not intended to be used for external
    communication, because this may only be a partial fix.
    If you have questions please reach out to maintenance coordination.
Comment 16 Swamp Workflow Management 2019-04-05 10:12:15 UTC
openSUSE-RU-2019:1153-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1103678
CVE References: 
Sources used:
openSUSE Backports SLE-15 (src):    PackageKit-Qt-0.9.6-bp150.3.3.1

*** NOTE: This information is not intended to be used for external
    communication, because this may only be a partial fix.
    If you have questions please reach out to maintenance coordination.
Comment 17 Swamp Workflow Management 2019-04-24 15:50:35 UTC
SUSE-RU-2019:1023-1: An update that has four recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1103678,1122262,1128560,1130355
CVE References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15 (src):    NetworkManager-1.10.6-5.3.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    NetworkManager-1.10.6-5.3.1
SUSE Linux Enterprise Module for Development Tools 15 (src):    rpmlint-mini-1.10-5.4.1
SUSE Linux Enterprise Module for Desktop Applications 15 (src):    NetworkManager-1.10.6-5.3.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    NetworkManager-1.10.6-5.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 18 Swamp Workflow Management 2019-05-02 22:09:00 UTC
openSUSE-RU-2019:1317-1: An update that has four recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1103678,1122262,1128560,1130355
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    NetworkManager-1.10.6-lp150.4.3.1, rpmlint-mini-1.10-lp150.9.1
Comment 20 Swamp Workflow Management 2019-06-21 13:25:55 UTC
SUSE-SU-2019:1594-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1103678,1137001
CVE References: CVE-2019-12450
Sources used:
SUSE Linux Enterprise Module for Packagehub Subpackages 15 (src):    glib2-2.54.3-4.15.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    glib2-2.54.3-4.15.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    glib2-2.54.3-4.15.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    glib2-2.54.3-4.15.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    glib2-2.54.3-4.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 21 Swamp Workflow Management 2019-06-27 10:24:43 UTC
openSUSE-SU-2019:1650-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1103678,1137001
CVE References: CVE-2019-12450
Sources used:
openSUSE Leap 15.0 (src):    glib2-2.54.3-lp150.3.10.1
Comment 22 Nikolai Nikolaevskii 2019-08-19 14:29:34 UTC
Now plasma5-pk-updates widget seeks for updates every time network cable is plugged in. Even if I specify updating interval as "once per week" (or month) it makes it 5-10-inf times per day.

And how can I set to run it manually without any automatic starts?

Previously I could search for updates manually because when I loaded OS plasma5-pk-updates widget starts, then pops up message "No connection", then I plugged in network cable and could run widget voluntary when I want it.

More discussion at https://forums.opensuse.org/showthread.php/537157-How-to-configure-KDE5-widget-for-getting-updates-only-with-my-request-(plasma5-pk-updates)